/****************************************************************************

	File    : Server\program\program_srr.c  

	Project : Server.c
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/program/program_srr.h"
#include "Server/program/program_ser.h"
#include "Server/server_fix/server_fix.h"
#include "Server/tools/tools.h"
#include <stdlib.h>


static void ExitFunc(void);

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	atexit (ExitFunc);

	Completing      = pr_Completing;
	Initialization  = pr_Initialization;
	ChannelDepended = pr_ChannelDepended;
	ProcessMsg      = pr_ProcessMsg;
	ProcessPulse    = pr_ProcessPulse;

	CatchSignals (SignalHandler);

	Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc(void)
{
	Completing ();
}


//===========================================================================

