/****************************************************************************

	File    : Server\standard\standard.c  

	Project : Server.c
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/standard/standard.h"
#include <errno.h>
#include <sys/neutrino.h>


int rc;

static int rcvid = 0;

static struct sigevent event;

// -------------------------------------------------------> InitStandard <---

void InitStandard(void)
{
}

// ------------------------------------------------------> CloseStandard <---

void CloseStandard(void)
{
}

// -----------------------------------------------------------> Complete <---

int Complete(bool* is_srr_running)
{
	*is_srr_running = false;

	return EOK;
}

// ----------------------------------------------------> CompleteByPulse <---

void CompleteByPulse(bool* is_srr_running)
{
	*is_srr_running = false;
}

// -------------------------------------------------> EventForDelivering <---

int EventForDelivering(int rcvid_, struct sigevent* event_)
{
	rcvid = rcvid_;
	event = *event_;

	return EOK;
}

// -------------------------------------------------------> DeliverEvent <---

int DeliverEvent(int value)
{
	if (rcvid == 0)
		return ESRCH;

	event.sigev_value.sival_int = value;

	rc = MsgDeliverEvent (rcvid, &event);

	return rc;
}


//===========================================================================

