/****************************************************************************

	File    : Server\standard\standard_srr.c  

	Project : Server.c
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/standard/standard_srr.h"
#include "Server/standard/standard_ser.h"
#include "Server/server_fix/server_fix.h"
#include "Server/tools/tools.h"
#include <stdlib.h>


static void ExitFunc(void);

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	atexit (ExitFunc);

	CatchSignals (SignalHandler);

	Completing      = st_Completing;
	Initialization  = st_Initialization;
	ChannelDepended = st_ChannelDepended;
	ProcessMsg      = st_ProcessMsg;
	ProcessPulse    = st_ProcessPulse;

	Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc(void)
{
	Completing ();
}


//===========================================================================

